package com.nisum.omd.domain;

import java.time.LocalDateTime;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties("app")
public class Order {
	
	
	private String orderNum;
    private LocalDateTime orderDate;
	private String currency;
	private String shipMethod;
	private String customerId;
	private String customerType;
	private String gift;
	private Promotions promotions;
	private LineItem lineItem;
	private BillingTo billingTo;
	private OrderCharges orderCharges;
	private OrderTaxes orderTaxes;
	private ShippingInfo shippingInfo;
	private ShipTo shipTo;
	private PaymentMethod paymentMethod;


	public String getCustomerId() {
		return customerId;
	}



	public void setCustomerId(String customerId) {
		this.customerId = customerId;
	}



	public String getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(String orderNum) {
		this.orderNum = orderNum;
	}

	public LocalDateTime getOrderDate() {
		return orderDate;
	}

	public void setOrderDate(LocalDateTime orderDate) {
		this.orderDate = orderDate;
	}

	public String getCurrency() {
		return currency;
	}

	public void setCurrency(String currency) {
		this.currency = currency;
	}

	public String getShipMethod() {
		return shipMethod;
	}

	public void setShipMethod(String shipMethod) {
		this.shipMethod = shipMethod;
	}



	public String getCustomerType() {
		return customerType;
	}

	public void setCustomerType(String customerType) {
		this.customerType = customerType;
	}

	public String getGift() {
		return gift;
	}

	public void setGift(String gift) {
		this.gift = gift;
	}

	public Promotions getPromotions() {
		return promotions;
	}

	public void setPromotions(Promotions promotions) {
		this.promotions = promotions;
	}

	public LineItem getLineItem() {
		return lineItem;
	}

	public void setLineItem(LineItem lineItem) {
		this.lineItem = lineItem;
	}

	public BillingTo getBillingTo() {
		return billingTo;
	}

	public void setBillingTo(BillingTo billingTo) {
		this.billingTo = billingTo;
	}

	public OrderCharges getOrderCharges() {
		return orderCharges;
	}

	public void setOrderCharges(OrderCharges orderCharges) {
		this.orderCharges = orderCharges;
	}

	public OrderTaxes getOrderTaxes() {
		return orderTaxes;
	}

	public void setOrderTaxes(OrderTaxes orderTaxes) {
		this.orderTaxes = orderTaxes;
	}

	public ShippingInfo getShippingInfo() {
		return shippingInfo;
	}

	public void setShippingInfo(ShippingInfo shippingInfo) {
		this.shippingInfo = shippingInfo;
	}

	public ShipTo getShipTo() {
		return shipTo;
	}

	public void setShipTo(ShipTo shipTo) {
		this.shipTo = shipTo;
	}

	public PaymentMethod getPaymentMethod() {
		return paymentMethod;
	}

	public void setPaymentMethod(PaymentMethod paymentMethod) {
		this.paymentMethod = paymentMethod;
	}
	
	
	
}
